# Course Instructors

Course Instructors

 - [GET /courseInstructors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-instructors/listinstructorsbytenantid.md): Returns a list of records with the specified tenant_id
 - [POST /courseInstructors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-instructors/createcourseinstructor.md): This method will auto-generate an ID and create a new course instructor. If an ID is specified for the course instructor, an error will be thrown.
 - [DELETE /courseInstructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-instructors/deletecourseinstructor.md): This method will delete a course instructor with the specified ID.
 - [GET /courseInstructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-instructors/getcourseinstructor.md): This method will look up a course instructor by the specified ID and return it back.
 - [PATCH /courseInstructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-instructors/patchcourseinstructor.md): This method will patch an existing course instructor with the specified ID, using the HTTP PATCH specification.
 - [PUT /courseInstructors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/course-instructors/updatecourseinstructor.md): This method will update an existing course instructor with the specified ID.
